Skip to main content
Retrieves a filtered list of recorded activities. HTTP Request GET https://api.vindicia.com/activities Route (URL) Parameters None.

Query Parameters

Note: All calls must filter by account, subscription, transaction, or invoice.

Accepts

None.

Returns

JSON - A list array with a data property that contains an array of up to limit Activities, starting after the specified starting_after Activity (or ending before the specified ending_before Activity). Each entry in the array is a full Activity object. If no more Activities are available, the resulting array will be empty. This request should never throw an error if all required query parameters are supplied. A list of Activity objects matching the query. Also:
  • “total_count”: Integer count of the number of Activities in the returned list.
  • “url”: The query string provided in the request
  • “next”: The route (partial URL) to the next Activity object (string to select the “next”); included vid should match that of the last object returned here
  • “previous”: The route (partial URL) to the previous Activity object (string to select the “previous”); included vid should match that of the first object returned here
Parent topic:Activities